﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WindowsFormsApplication1
{
	public class NetworkConfigurationEntry
	{
		 public NetworkConfigurationEntry(string serverName, string serverIp)
        {
			this.ServerName = serverName;
            this.ServerIp = serverIp;
            this.HasBeenModified  = false;
        }

		 public NetworkConfigurationEntry(string serverName, string serverIp, bool hasBeenModified, bool selectAll)
		 {
			 this.ServerName = serverName;
			 this.ServerIp = serverIp;
			 this.HasBeenModified = hasBeenModified;
			 this.SelectAll = selectAll;
		 }

		 public NetworkConfigurationEntry()
        {

        }
		 public string ServerName
        {
            get;
            set;
        }
		 public string ServerIp
		 {
			 get;
			 set;
		 }
		 public bool HasBeenModified
		 {
			 get;
			 set;
		 }

		 public bool SelectAll
		 {
			 get;
			 set;
		 }


		//todo - equals, hashcode, 
		// to string 
		 public override String ToString()
		 {
			 StringBuilder entryString = new StringBuilder();
			 entryString.Append("ServerIp:").Append(ServerIp).Append(" ");
			 entryString.Append("ServerName:").Append(ServerName).Append(" ");
			 entryString.Append("HasBeenModified:").Append(HasBeenModified).Append(" ");
			 entryString.Append("SelectAll:").Append(SelectAll).Append(" ");

			 return entryString.ToString();

		 }
	}
}
