using System.Windows.Forms;


namespace WindowsFormsApplication1
{
    public class ServerController
    {        
        private readonly ServerPanel _panel;
		private Form _mainForm;
        
        /// <summary>
        /// Patients the controller.
        /// </summary>
        /// <param name="passedMainForm">The passed main form.</param>
		public ServerController(Form passedMainForm)
		//public ServerController()
		{
			//Initialize form and controller
			_mainForm = passedMainForm;
            _panel = new ServerPanel(this, "");
            //_panel.Tag = MainForm.DoNotDisposeMe;
			LoadScreen();
		}

        /// 
        /// </summary>
        /// <param name="panel"></param>
        internal void ClosePanel(UserControl panel)
        {
            //DisplayScreen();
            panel.Dispose();
        }

        /// <summary>
        /// Loads the server list screen.
        /// </summary>
        public void LoadScreen()
        {
			_mainForm.Controls.Add(_panel);
			_panel.Dock = DockStyle.Fill;
			_panel.Show();
			_panel.Refresh();
			_panel.Focus();

            //DisplayScreen();
        }

        /// <summary>
        /// Display all patient list
        /// </summary>
        //public void DisplayScreen()
        //{
            //_mainForm.SetControlActiveForTab(_mainForm.TabPageApplicationServer, _panel);
        //}
    }
}
